body {
    background-color: #18171a;
    user-select: none;
}

* {
    font-family: Caladea, Merriweather, serif;
}

.box_background_image {
    position: fixed;
    top: 0;
    left: 0;
    width: 50vw;
    height: 100vh;
    border-right: .4rem solid;
    border-color: #343438;
    /* top / left obligatoires: sans eux le bloc en position fixed se place la
       ou il serait en flux (sous le header) et la bordure de separation ne
       partait pas du haut. z-index: -1 comme les images, pour que la bordure
       passe derriere le header au lieu de le traverser. */
    z-index: -1;
}

.background_image_general_1 {
    position: fixed;
    top: -10vh;
    left: 0;
    width: 50vw;
    height: 110vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_general_2 {
    position: fixed;
    top: 0;
    left: 0;
    width: 50vw;
    height: 100vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_general_3 {
    position: fixed;
    top: -11vh;
    left: 0;
    width: 50vw;
    height: 111vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_general_4 {
    position: fixed;
    top: 0;
    left: 0;
    width: 50vw;
    height: 100vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_general_5 {
    position: fixed;
    top: -18vh;
    left: 0;
    width: 50vw;
    height: 118vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_woman_1 {
    position: fixed;
    top: 0;
    left: 0;
    width: 50vw;
    height: 100vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_woman_2 {
    position: fixed;
    top: 0;
    left: 0;
    width: 50vw;
    height: 100vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_woman_3 {
    position: fixed;
    top: 0;
    left: 0;
    width: 50vw;
    height: 100vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_woman_4 {
    position: fixed;
    top: 0;
    left: 0;
    width: 50vw;
    height: 100vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_woman_5 {
    position: fixed;
    top: -10vh;
    left: 0;
    width: 50vw;
    height: 110vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_woman_6 {
    position: fixed;
    top: -5vh;
    left: 0;
    width: 50vw;
    height: 105vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_woman_7 {
    position: fixed;
    top: 4vh;
    left: 0;
    width: 50vw;
    height: 100vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_woman_8 {
    position: fixed;
    top: 2vh;
    left: 0;
    width: 50vw;
    height: 100vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_woman_9 {
    position: fixed;
    top: -5vh;
    left: 0;
    width: 50vw;
    height: 105vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_woman_10 {
    position: fixed;
    top: -25vh;
    left: 0;
    width: 50vw;
    height: 125vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_woman_11 {
    position: fixed;
    top: -32vh;
    left: 0;
    width: 50vw;
    height: 132vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_woman_12 {
    position: fixed;
    top: -30vh;
    left: 0;
    width: 50vw;
    height: 130vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_woman_13 {
    position: fixed;
    top: 2vh;
    left: 0;
    width: 50vw;
    height: 100vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_woman_14 {
    position: fixed;
    top: -10vh;
    left: 0;
    width: 50vw;
    height: 110vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_lesbian_1 {
    position: fixed;
    top: 0;
    left: 0;
    width: 50vw;
    height: 100vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_gay_1 {
    position: fixed;
    top: 0;
    left: 0;
    width: 50vw;
    height: 100vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_non_binary_1 {
    position: fixed;
    top: 0;
    left: 0;
    width: 50vw;
    height: 100vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_senior_1 {
    position: fixed;
    top: -7vh;
    left: 0;
    width: 50vw;
    height: 107vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_senior_2 {
    position: fixed;
    top: -11vh;
    left: 0;
    width: 50vw;
    height: 111vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_senior_3 {
    position: fixed;
    top: -17vh;
    left: 0;
    width: 50vw;
    height: 117vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_biker_1 {
    position: fixed;
    top: -15vh;
    left: 0;
    width: 50vw;
    height: 115vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_biker_2 {
    position: fixed;
    top: -17vh;
    left: 0;
    width: 50vw;
    height: 117vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_biker_3 {
    position: fixed;
    top: -30vh;
    left: 0;
    width: 50vw;
    height: 130vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_gamer_1 {
    position: fixed;
    top: -25vh;
    left: 0;
    width: 50vw;
    height: 125vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_gamer_2 {
    position: fixed;
    top: -10vh;
    left: 0;
    width: 50vw;
    height: 110vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_sport_1 {
    position: fixed;
    top: -30vh;
    left: 0;
    width: 50vw;
    height: 130vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_sport_2 {
    position: fixed;
    top: -10vh;
    left: 0;
    width: 50vw;
    height: 110vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_dogs_1 {
    position: fixed;
    top: -28vh;
    left: 0;
    width: 50vw;
    height: 128vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_dogs_2 {
    position: fixed;
    top: -40vh;
    left: 0;
    width: 50vw;
    height: 140vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.background_image_christian_1 {
    position: fixed;
    top: -5vh;
    left: 0;
    width: 50vw;
    height: 105vh;
    object-fit: cover;
    object-position: center top;
    z-index: -1;
}

.box_title_home {
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 8rem;
    left: 75vw;
    width: 50%;
    transform: translateX(-50%);
    z-index: 1;
}

.title_home {
    text-align: center;
    font-size: 1.2rem;
    font-weight: bold;
    color: white;
    z-index: 1;
}

.main_box_form {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 15rem;
    margin-bottom: 1rem;
    margin-left: 50%;
}

.box_form {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    width: 28rem;
    background-color: #242527;
    padding: 2.8rem;
    border: .2rem solid;
    border-color: #343438;
    border-radius: 2.8rem;
    z-index: 2;
}

#login:checked~#register_display {
    visibility: hidden;
    display: none;
}

#register:checked~#login_display {
    visibility: hidden;
    display: none;
}

.box_user {
    appearance: none;
    display: none;
}

#login+label {
    color: white;
    cursor: pointer;
}

#login:checked+label {
    color: #EC2C8E;
}

#login:hover+label {
    color: #EC2C8E;
}

#register+label {
    color: white;
    cursor: pointer;
}

#register:checked+label {
    color: #EC2C8E;
}

#register:hover+label {
    color: #EC2C8E;
}

.title {
    padding: 1rem .5rem;
    font-size: 1.7rem;
    transition: all .2s ease-in-out;
}

.forgot_password_title {
    font-size: 1.7rem;
    color: white;
}

.text {
    display: block;
    margin: auto;
    margin-top: 1.5rem;
    margin-bottom: .4rem;
    margin-left: .2rem;
    font-size: 1.1rem;
    color: white;
}

.terms {
    display: block;
    margin: auto;
    margin-top: 1rem;
    margin-left: .2rem;
    font-size: .9rem;
    color: white;
}

.terms_link {
    color: #EC2C8E;
    text-decoration: none;
    padding: .5rem 0;
}

.text_forgot_password {
    display: block;
    max-width: max-content;
    margin-left: .2rem;
    padding: .5rem 0;
    font-size: 1rem;
    color: #EC2C8E;
    text-decoration: none;
}

.text_errors {
    font-size: .9rem;
    color: #f54a4a
}

.text_message {
    display: block;
    margin-top: 1rem;
    font-size: 1rem;
    color: white;
}

.input {
    margin-bottom: .4rem;
    display: block;
    width: 28rem;
    height: 2rem;
    font-weight: bold;
    font-size: 1rem;
    color: white;
    background-color: #292a2d;
    border: .14rem solid;
    border-color: #343438;
    outline: none;
    padding-left: .5rem;
    border-radius: .6rem;
    box-sizing: border-box;
    transition: border-color .2s ease-in-out;
}

.input:hover,
.input:focus {
    border-color: #45464b;
}

.hidden {
    display: none;
}

.input_hidden {
    display: none;
}

.input_visible {
    margin-bottom: .4rem;
    display: block;
    width: 28rem;
    height: 2rem;
    font-weight: bold;
    font-size: 1rem;
    color: white;
    background-color: #292a2d;
    border: .14rem solid;
    border-color: #343438;
    outline: none;
    padding-left: .5rem;
    border-radius: .6rem;
    box-sizing: border-box;
    transition: border-color .2s ease-in-out;
}

.input_visible:hover,
.input_visible:focus {
    border-color: #45464b;
}

.password_input_box {
    display: flex;
    align-items: center;
    margin-bottom: .4rem;
    width: 28rem;
    height: 2rem;
    background-color: #292a2d;
    border: .14rem solid;
    border-color: #343438;
    padding-left: .5rem;
    border-radius: .6rem;
    box-sizing: border-box;
    transition: border-color .2s ease-in-out;
}

.password_input_box:hover,
.password_input_box:focus-within {
    border-color: #45464b;
}

.password_input {
    height: 100%;
    font-weight: bold;
    font-size: 1rem;
    color: white;
    background-color: transparent;
    border: none;
    outline: none;
    flex: 1;
    min-width: 0;
}

input::-ms-reveal {
    display: none;
}

.eye_password {
    margin-right: .4rem;
    padding-left: .4rem;
    width: 1.7rem;
    cursor: pointer;
    pointer-events: all;
}

.select {
    display: block;
    width: 28rem;
    height: 2rem;
    font-weight: bold;
    font-size: 1rem;
    color: white;
    background-color: #292a2d;
    border: .14rem solid;
    border-color: #343438;
    outline: none;
    cursor: pointer;
    padding-left: .5rem;
    border-radius: .6rem;
    box-sizing: border-box;
    transition: border-color .2s ease-in-out;
}

.select:hover,
.select:focus {
    border-color: #45464b;
}

.dropdown {
    position: relative;
    display: block;
    width: 28rem;
}

.dropdown_toggle {
    width: 100%;
    height: 2rem;
    padding-left: .5rem;
    font-weight: bold;
    font-size: 1rem;
    color: white;
    cursor: pointer;
    position: relative;
    background-color: #292a2d;
    border: .14rem solid;
    border-color: #343438;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: .6rem;
    box-sizing: border-box;
    transition: border-color .2s ease-in-out;
}

.dropdown_toggle:hover {
    border-color: #45464b;
}

.dropdown_toggle::after {
    content: '';
    background-image: url('icons/down_arrow.png');
    background-size: contain;
    background-repeat: no-repeat;
    width: .55rem;
    height: .55rem;
    margin-right: .28rem;
}

.dropdown_menu {
    display: none;
    position: absolute;
    font-weight: bold;
    font-size: 1rem;
    color: white;
    background-color: #292a2d;
    padding: .28rem;
    border: .14rem solid #343438;
    border-radius: .6rem;
    width: 100%;
    overflow-y: auto;
    z-index: 1;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
    margin-top: .2rem;
    box-sizing: border-box;
}

.dropdown_menu ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.dropdown_menu li {
    padding: .4rem;
    border-radius: .4rem;
    cursor: pointer;
}

.dropdown_menu li:last-child {
    border-bottom: none;
}

.dropdown_menu input[type="checkbox"] {
    margin-right: .4rem;
    pointer-events: none;
    vertical-align: middle;
}

.dropdown_menu li:hover {
    background-color: #52525E;
}

.dropdown_menu label {
    cursor: pointer;
    width: 100%;
    display: inline-block;
}

.select_choices_checkbox {
    border: .1rem solid;
    padding: 0.5em;
    appearance: none;
    color: white;
    scale: 1.2;
    cursor: pointer;
}

.select_choices_checkbox:checked {
    display: inline-block;
    background: url(icons/check.png) no-repeat center center;
    background-size: .8rem;
}

.button_location {
    margin-top: 1rem;
    text-align: center;
}

.button {
    all: unset;
    padding: 2rem;
    cursor: pointer;
}

.button span {
    display: block;
    padding: .5rem .8rem;
    font-weight: bold;
    white-space: nowrap;
    font-size: 1.2rem;
    border: none;
    border-radius: 4rem;
    background-color: #EC2C8E;
    color: white;
    transition: all .2s ease-in-out;
    cursor: pointer;
}

.button span:hover {
    background-color: #ff3ba0;
    transition: all .2s ease-in-out;
}


/*Desktop*/
@media only screen and (max-width: 1300px) {

    .box_form {
        width: 20rem;
    }

    .input {
        width: 20rem;
    }

    .input_visible {
        width: 20rem;
    }

    .password_input_box {
        width: 20rem;
    }

    .select {
        width: 20rem;
    }

    .dropdown {
        width: 20rem;
    }

}


/*Mobile*/
@media only screen and (max-width: 1000px) {

    .box_background_image {
        width: 100vw;
        border: none;
    }

    #form_display:checked ~ .box_background_image {
        filter: blur(25px) brightness(0.25);
        transform: scale(1.25);
        transition: filter .2s ease, transform .2s ease;
    }

    .background_image {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh;
        object-fit: cover;
        object-position: center top;
        z-index: -1;
    }

    .box_title_home {
        position: fixed;
        margin-top: 0;
        bottom: 2rem;
        left: 0;
        width: 100%;
        transform: translateX(0%);
    }

    .title_home {
        display: block;
        padding: .4rem .8rem;
        border-radius: 2rem;
        background: #0000003b;
        text-shadow: 0 4px 8px #0000005c;
        backdrop-filter: blur(2px);
        white-space: nowrap;
    }

    #form_display:checked ~ .box_title_home {
        display: none;
    }

    .main_box_form {
        display: none;
        margin-top: 7rem;
    }

    #form_display:checked ~ .main_box_form {
        display: flex;
        margin-left: auto;
    }

    .title {
        padding: 0;
    }

    .form_mobile_button_location {
        position: fixed;
        bottom: 5rem;
        left: 50%;
        transform: translateX(-50%);
        padding: 1rem;
        cursor: pointer;
        z-index: 10;
    }

    .form_mobile_button {
        display: block;
        padding: .7rem 1rem;
        text-align: center;
        white-space: nowrap;
        font-size: 1.2rem;
        font-weight: bold;
        border: none;
        border-radius: 4rem;
        background-color: #EC2C8E;
        color: white;
        transition: all .2s ease-in-out;
        cursor: pointer;
    }

    .form_mobile_button:hover {
        background-color: #ff3ba0;
        transition: all .2s ease-in-out;
    }

    #form_display:checked ~ .form_mobile_button_location {
        display: none;
    }

}


/*Mobile*/
@media only screen and (max-width: 600px) {

    .box_form {
        width: 20rem;
    }

    .title_home {
        font-size: 1rem;
    }

    .input {
        width: 20rem;
    }

    .input_visible {
        width: 20rem;
    }

    .password_input_box {
        width: 20rem;
    }

    .select {
        width: 20rem;
        font-size: .8rem;
    }

    .dropdown {
        width: 20rem;
    }

    .dropdown_toggle {
        font-size: .8rem;
    }

    .dropdown_menu {
        font-size: .8rem;
    }

    .title {
        font-size: 1.1rem;
    }

    .text {
        font-size: .8rem;
    }

    .text_errors {
        font-size: .7rem;
    }

    .terms {
        font-size: .7rem;
    }

    .button span {
        font-size: .9rem;
    }

    .form_mobile_button_location {
        padding: .5rem;
    }

    .form_mobile_button {
        font-size: 1rem;
    }

}


/*Mobile*/
@media only screen and (max-width: 500px) {

    .box_form {
        width: 18rem;
        padding: 1.7rem;
    }

    .title_home {
        font-size: .8rem;
    }

    .input {
        width: 18rem;
    }

    .input_visible {
        width: 18rem;
    }

    .select {
        width: 18rem;
    }

    .dropdown {
        width: 18rem;
    }

    .password_input_box {
        width: 18rem;
    }

    .form_mobile_button {
        font-size: .8rem;
    }

}


/*Mobile*/
@media only screen and (max-width: 400px) {

    .box_form {
        width: 14rem;
    }

    .input {
        width: 14rem;
    }

    .input_visible {
        width: 14rem;
    }

    .select {
        width: 14rem;
    }

    .dropdown {
        width: 14rem;
    }

    .password_input_box {
        width: 14rem;
    }

    .button span {
        font-size: .8rem;
    }

}